.contact-section {
    display: flex;
    flex-direction: column;
    font-size: 1.1rem;
    max-width: 100%;
    width: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    flex: 1;
    min-height: 0;
}

.row-info-list {
    display: flex;
    flex-direction: column;
    padding: 1rem;
    gap: 0.75rem;
}

.row-info {
    display: flex;
    align-items: center;
    font-style: normal;
    gap: 1rem;
    /*background: var(--metallic-dark-gradient-2);*/
    /*background-repeat: repeat;*/
    /*background-size: 50%;*/
    background-color: rgba(0,0,0, 0.85);
    border-radius: 0.5rem;
    color: white;
    padding: 0.5rem;
    font-weight: 600;
    box-shadow: 2px 2px rgba(0,0,0, 0.5);
}

.row-info strong {
    color: var(--primary-color-1);
    flex: 1;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.row-info:hover strong {
    color: black;
}

.row-info:hover {
    background-color: var(--primary-color-1);
    color: black;
}

.icon {
    height: 1.6rem;
    /*color: black*/
    /*height: 36px;*/
}

.contact-map {
    aspect-ratio: 3/2;
    width: 100%;
    position: relative;
    background-color: lightgrey;
    z-index: 4;
}

.contact-map div {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 5;
}

.contact-map iframe {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0.5;
    z-index: 6;
}

.schedule-section {
    display: flex;
    flex-direction: column;
    margin-top: 1rem;
    gap: 1rem;
}

a:visited {
    color: var(--on-surface);
}

a:hover,
a:active,
a:focus {
    color: var(--primary-color-1);
    outline: none;
}

@media (min-width: 768px) {
    .contact-section {
        font-size: 1.2rem;
    }

    .contact-map {
        flex: 1;
        width: 50%;
        max-width: 50%;
    }

    .row-info-list {
        flex: 1;
        flex-shrink: 0;
    }

    .contact-section {
        flex-direction: row;
    }

    .icon {
        height: 1.8rem;
    }
}

@media (min-width: 1200px) {
    .contact-section {
        font-size: 1.3rem;
    }

    .icon {
        height: 2rem;
    }

    .schedule-section-list {
        display: flex;
        flex-direction: row;
        gap: 2rem;
    }
}
